#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = OWF

PROJECTVERSION = 2.8
PROJECT_TYPE = Framework
LANGUAGE = English

HFILES = FrameworkDefines.h OWF.h

MFILES = OWEmptyProjectFile.m

SUBPROJECTS = Content.subproj Pipelines.subproj Processors.subproj

OTHERSRCS = CustomInfo.plist h.template m.template Makefile\
            Makefile.postamble Makefile.preamble OmniSourceLicense.html


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = 1999C
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = framework.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
WINDOWS_INSTALLDIR = $(OMNI_FRAMEWORKS)
PDO_UNIX_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORK_PATHS = -F$(OMNI_FRAMEWORKS)\
                  -F$(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)
NEXTSTEP_PB_CFLAGS = -Wall -O2
WINDOWS_PB_CFLAGS = -Wall -O2 -D _NSBUILDING_$(NAME)_DLL
PDO_UNIX_PB_CFLAGS = -Wall -O2
FRAMEWORKS = -framework Foundation -framework OmniBase\
             -framework OmniFoundation -framework OmniNetworking
PUBLIC_HEADERS = OWF.h FrameworkDefines.h

PROJECT_HEADERS = FrameworkDefines.h

PRECOMPILED_HEADERS = OWF.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

WINDOWS_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

PDO_UNIX_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
